Summary: A tool for printing multiple pages of text on each printed page.
Name: mpage
Version: 2.5.1
Release: 8
Copyright: BSD
Group: Applications/Publishing
Source: ftp://ftp.mesa.nl/pub/mpage/mpage251pre.tgz
Patch0: mpage25-config.patch
Patch1: mpage24-dvips.patch
Patch2: mpage-debian.patch
Patch3: mpage-tempfile.patch
Patch4: mpage-manpage.patch
# Japanese patch
Patch10: mpage25-j.patch
Patch11: mpage251-j-fix.patch
BuildRoot: /var/tmp/mpage-root

%description
The mpage utility takes plain text files or PostScript(TM) documents
as input, reduces the size of the text, and prints the files on a
PostScript printer with several pages on each sheet of paper. Mpage is
very useful for viewing large printouts without using up lots of
paper. Mpage supports many different layout options for the printed
pages.

%prep
%setup -q -n mpage-2.5.1
%patch0 -p1 -b .config
#%patch1 -p1 -b .dvips
%patch2 -p1 -b .debian
%patch3 -p1 -b .tempfile
%patch4 -p1 -b .manpage
%patch10 -p1 -b .jp
%patch11 -p1 -b .fix

%build
make BINDIR=%{_bindir} LIBDIR=%{_datadir} MANDIR=%{_mandir}/man1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/mpage,%{_mandir}/man1}

make PREFIX=$RPM_BUILD_ROOT/%{_prefix} BINDIR=$RPM_BUILD_ROOT/%{_bindir} \
	LIBDIR=$RPM_BUILD_ROOT/%{_datadir} \
	MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
	install
strip $RPM_BUILD_ROOT/usr/bin/mpage

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES Copyright README NEWS TODO
%{_bindir}/mpage
%{_mandir}/man1/mpage.*
%{_datadir}/mpage

%changelog
* Thu Nov  8 2001 Bill Nottingham <notting@redhat.com>
- don't segfault if run in a nonexistant locale (#55900)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Apr 11 2001 Bill Nottingham <notting@redhat.com>
- only output japanese if we're running in japanese (#34882)

* Wed Jan 10 2001 Bill Nottingham <notting@redhat.com>
- actually *apply the patch*

* Mon Jan  8 2001 Bill Nottingham <notting@redhat.com>
- add patch to use mkstemp

* Mon Dec 18 2000 Bill Nottingham <notting@redhat.com>
- don't change the default papersize

* Mon Dec 18 2000 Yukihiro Nakai <ynakai@redhat.com>
- Add a Japanese patch.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- Hm. 2.5.1pre hasn't been touched in two years. I guess that's 'stable'.
- add a bugfix patch from debian.

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 7)

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- changed group

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- 6.0 build stuff.

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 15 1997 Michael Fulbright <msf@redhat.com>
- (Re)applied patch to correctly print dvips output.

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
